org.fourthline.cling.android

## Class AndroidUpnpServiceConfiguration

- java.lang.Object
- - org.fourthline.cling.DefaultUpnpServiceConfiguration
  - - org.fourthline.cling.android.AndroidUpnpServiceConfiguration

- All Implemented Interfaces:
    UpnpServiceConfiguration

      public class AndroidUpnpServiceConfiguration
      extends DefaultUpnpServiceConfiguration

  Configuration settings for deployment on Android.

  This configuration utilizes the Jetty transport implementation found in `org.fourthline.cling.transport.impl.jetty` for TCP/HTTP networking, as client and server. The servlet context path for UPnP is set to `/upnp`.

  The kxml2 implementation of `org.xmlpull` is available on Android, therefore this configuration uses `RecoveringUDA10DeviceDescriptorBinderImpl`, `RecoveringSOAPActionProcessorImpl`, and `RecoveringGENAEventProcessorImpl`.

  This configuration utilizes `UDA10ServiceDescriptorBinderSAXImpl`, the system property `org.xml.sax.driver` is set to `org.xmlpull.v1.sax2.Driver`.

  To preserve battery, the `Registry` will only be maintained every 3 seconds.

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.DefaultUpnpServiceConfiguration

      `DefaultUpnpServiceConfiguration.ClingExecutor, DefaultUpnpServiceConfiguration.ClingThreadFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidUpnpServiceConfiguration()`
    `AndroidUpnpServiceConfiguration(int streamListenPort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected DeviceDescriptorBinder` | `createDeviceDescriptorBinderUDA10()`
    `protected GENAEventProcessor` | `createGENAEventProcessor()`
    `protected Namespace` | `createNamespace()`
    `protected NetworkAddressFactory` | `createNetworkAddressFactory(int streamListenPort)`
    `protected ServiceDescriptorBinder` | `createServiceDescriptorBinderUDA10()`
    `protected SOAPActionProcessor` | `createSOAPActionProcessor()`
    `StreamClient` | `createStreamClient()`
    `StreamServer` | `createStreamServer(NetworkAddressFactory networkAddressFactory)`
    `int` | `getRegistryMaintenanceIntervalMillis()`

    - ### Methods inherited from class org.fourthline.cling.DefaultUpnpServiceConfiguration

      `createDatagramIO, createDatagramProcessor, createDefaultExecutorService, createMulticastReceiver, createNetworkAddressFactory, getAliveIntervalMillis, getAsyncProtocolExecutor, getDatagramIOExecutor, getDatagramProcessor, getDefaultExecutorService, getDescriptorRetrievalHeaders, getDeviceDescriptorBinderUDA10, getEventSubscriptionHeaders, getExclusiveServiceTypes, getGenaEventProcessor, getMulticastReceiverExecutor, getNamespace, getRegistryListenerExecutor, getRegistryMaintainerExecutor, getRemoteDeviceMaxAgeSeconds, getServiceDescriptorBinderUDA10, getSoapActionProcessor, getStreamServerExecutorService, getSyncProtocolExecutorService, isReceivedSubscriptionTimeoutIgnored, shutdown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidUpnpServiceConfiguration

          public AndroidUpnpServiceConfiguration()

    - #### AndroidUpnpServiceConfiguration

          public AndroidUpnpServiceConfiguration(int streamListenPort)

  - ### Method Detail

    - #### createNetworkAddressFactory

          protected NetworkAddressFactory createNetworkAddressFactory(int streamListenPort)

      Overrides:
        `createNetworkAddressFactory` in class `DefaultUpnpServiceConfiguration`

    - #### createNamespace

          protected Namespace createNamespace()

      Overrides:
        `createNamespace` in class `DefaultUpnpServiceConfiguration`

    - #### createStreamClient

          public StreamClient createStreamClient()

      Specified by:
        `createStreamClient` in interface `UpnpServiceConfiguration`
      Overrides:
        `createStreamClient` in class `DefaultUpnpServiceConfiguration`
      Returns:
        A new instance of the `StreamClient` interface.

    - #### createStreamServer

          public StreamServer createStreamServer(NetworkAddressFactory networkAddressFactory)

      Specified by:
        `createStreamServer` in interface `UpnpServiceConfiguration`
      Overrides:
        `createStreamServer` in class `DefaultUpnpServiceConfiguration`
      Parameters:
        `networkAddressFactory` - The configured `NetworkAddressFactory`.
      Returns:
        A new instance of the `StreamServer` interface.

    - #### createDeviceDescriptorBinderUDA10

          protected DeviceDescriptorBinder createDeviceDescriptorBinderUDA10()

      Overrides:
        `createDeviceDescriptorBinderUDA10` in class `DefaultUpnpServiceConfiguration`

    - #### createServiceDescriptorBinderUDA10

          protected ServiceDescriptorBinder createServiceDescriptorBinderUDA10()

      Overrides:
        `createServiceDescriptorBinderUDA10` in class `DefaultUpnpServiceConfiguration`

    - #### createSOAPActionProcessor

          protected SOAPActionProcessor createSOAPActionProcessor()

      Overrides:
        `createSOAPActionProcessor` in class `DefaultUpnpServiceConfiguration`

    - #### createGENAEventProcessor

          protected GENAEventProcessor createGENAEventProcessor()

      Overrides:
        `createGENAEventProcessor` in class `DefaultUpnpServiceConfiguration`

    - #### getRegistryMaintenanceIntervalMillis

          public int getRegistryMaintenanceIntervalMillis()

      Specified by:
        `getRegistryMaintenanceIntervalMillis` in interface `UpnpServiceConfiguration`
      Overrides:
        `getRegistryMaintenanceIntervalMillis` in class `DefaultUpnpServiceConfiguration`
      Returns:
        Defaults to 1000 milliseconds.

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.